Saltar al contenido principal
DELETE
/
v1
/
organizations
/
{organization_id}
/
workspaces
/
{workspace_id}
Eliminar un workspace
curl --request DELETE \
  --url https://api.flexxible.net/v1/organizations/{organization_id}/workspaces/{workspace_id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.flexxible.net/v1/organizations/{organization_id}/workspaces/{workspace_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.flexxible.net/v1/organizations/{organization_id}/workspaces/{workspace_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "64f0c2a1b2d3e4f506070811",
  "organization_id": "507f1f77bcf86cd799439011",
  "name": "delete_workspace",
  "description": "Operacion de eliminacion de workspace",
  "status": "pending",
  "created_at": "2026-06-05T14:12:00Z",
  "started_at": null,
  "ended_at": null,
  "microservice_id": null,
  "flow_id": null,
  "remote_support": null
}
{
"error": {
"message": "Formato de workspace_id no valido",
"code": "bad_request",
"details": "workspace_id debe ser una cadena hexadecimal en minusculas de 24 caracteres"
}
}
{
"error": {
"message": "No autorizado",
"code": "unauthorized"
}
}
{
"error": {
"message": "Workspace no encontrado",
"code": "not_found"
}
}
{
"error": {
"message": "Error interno del servidor",
"code": "internal_error"
}
}

Autorizaciones

Authorization
string
header
requerido

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Parámetros de ruta

organization_id
string
requerido

Identificador de la organització.

Required string length: 24
Pattern: ^[0-9a-f]{24}$
workspace_id
string
requerido

Identificador del workspace

Required string length: 24
Pattern: ^[0-9a-f]{24}$

Respuesta

Sol·licitud acceptada. Es retorna l'operació per a seguiment en endpoints d'operacions.

id
string
requerido

Identificador de l'execució de l'operació.

Required string length: 24
Pattern: ^[0-9a-f]{24}$
name
string
requerido

Nom de l'operació.

organization_id
string
requerido

Identificador de l'organització propietària de l'operació.

Required string length: 24
Pattern: ^[0-9a-f]{24}$
description
string
requerido

Descripció de l'operació. Es retorna cadena buida quan no existeix en origen.

status
enum<string>
requerido

Estat actual de l'operació.

Opciones disponibles:
finished,
unknown,
error,
pending,
in-progress,
timeout,
cancelled,
scheduled
created_at
string<date-time>
requerido

Marca temporal de creació.

started_at
string<date-time> | null

Marca temporal d'inici.

ended_at
string<date-time> | null

Marca temporal de finalització.

microservice_id
string | null

Identificador del microservei relacionat, quan existeixi.

Required string length: 24
Pattern: ^[0-9a-f]{24}$
flow_id
string | null

Identificador del flux relacionat, quan existeixi.

Required string length: 24
Pattern: ^[0-9a-f]{24}$
remote_support
object | null